package io.tswf.minecraft.blockventure.core.api.registry

import groovy.transform.CompileStatic
import net.minecraft.block.Block
import net.minecraft.registry.Registries

@CompileStatic
class BlockRegistry {

    static <T extends Block> T registerBlock(T block, String id) {
        return (T) Register.register(Registries.BLOCK, block, id)
    }
}
