package io.tswf.minecraft.blockventure.core.block.entity

import groovy.transform.CompileStatic
import net.minecraft.block.entity.BlockEntity

@CompileStatic
class BlockEntityUtil {

    static void markBlockForUpdate(BlockEntity blockEntity, int flags = 0, int depth = 64) {
        def pos = blockEntity.pos
        def world = blockEntity.world
        def state = world.getBlockState(pos)
        def chunk = world.getWorldChunk(pos)

        blockEntity.world.markAndNotifyBlock(pos, chunk, state, state, flags, depth)
    }
}
