package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic

@CompileStatic
class DuplicateNBTNamesException extends RuntimeException {
    Collection<String> names
    Class location

    DuplicateNBTNamesException(Collection<String> names, Class location) {
        super("There is duplicate nbt names found in ${location.name}: ${names}")
        this.names = names
        this.location = location
    }
}
