package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.annotation.MapNBT

import java.lang.reflect.Member

@CompileStatic
class InvalidMapToNbtAnnotationLocationException extends RuntimeException {
    // Метод, класс и так далее. У Java нет общего интерфейса под это дело
    Object ownerReflectionObject

    InvalidMapToNbtAnnotationLocationException(String message, Object ownerReflectionObject) {
        super("@${MapNBT.simpleName} annotation placed on ${ownerReflectionObject} is invalid: ${message}")
        this.ownerReflectionObject = ownerReflectionObject
    }
}
