package io.tswf.minecraft.blockventure.core.nbt.mapper

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.nbt.INBTObjectMappingProvider

@AutoService(INBTObjectMappingProvider)
@CompileStatic
class NBTListMappingProvider extends AbstractNBTCollectionMappingProvider<List> {

    @Override
    void initialize() {
        supportColletion List
        createCollectionBy { new ArrayList() }
    }
}
