package io.tswf.minecraft.blockventure.core.nbt.mapper

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.nbt.INBTObjectMappingProvider

@AutoService(INBTObjectMappingProvider)
@CompileStatic
class NBTSetMappingProvider extends AbstractNBTCollectionMappingProvider<Set> {

    @Override
    void initialize() {
        supportColletion Set
        createCollectionBy { new HashSet<>() }
    }
}
