package io.tswf.minecraft.blockventure.core.transmutation.transmute

import groovy.transform.CompileStatic
import io.tswf.transmutations.common.annotation.ClassReference
import io.tswf.transmutations.common.annotation.MethodDescription
import io.tswf.transmutations.transmute.annotation.AtExit
import io.tswf.transmutations.transmute.annotation.Transmute
import io.tswf.transmutations.transmute.meta.MissingTargetStrategy
import net.minecraft.registry.Registries

@CompileStatic
class TransmutationRegistries {

    @Transmute(
            targetClass = @ClassReference(Registries),
            targetMethod = @MethodDescription(name = "init", descriptor = "()V"),
            onMissing = MissingTargetStrategy.THROW
    )
    @AtExit
    static void registerModCommon() {
//        ModData.registerCommonData()
    }

}
