package io.tswf.minecraft.blockventure.core.transmutation.view

import groovy.transform.CompileStatic
import io.tswf.transmutations.common.annotation.OnConflict
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.view.annotation.View
import net.minecraftforge.common.world.ModifiableBiomeInfo

@CompileStatic
@View(targetClasses = ModifiableBiomeInfo)
interface ViewForgeModifiableBiomeInfo {

    @OnConflict(ConflictingMethodResolveStrategy.WARN)
    void setModifiedBiomeInfo(ModifiableBiomeInfo.BiomeInfo value)
}
