package io.tswf.minecraft.blockventure.core.transmutation.view

import groovy.transform.CompileStatic
import io.tswf.transmutations.view.annotation.View
import net.minecraft.registry.entry.RegistryEntryList
import net.minecraft.world.biome.GenerationSettings
import net.minecraft.world.gen.feature.PlacedFeature

@CompileStatic
@View(targetClasses = GenerationSettings)
interface ViewGenerationSettings {
    void setFeatures(List<RegistryEntryList<PlacedFeature>> features)
}