package io.tswf.minecraft.blockventure.core.transmutation.view

import groovy.transform.CompileStatic
import io.tswf.transmutations.view.annotation.View
import net.minecraft.registry.entry.RegistryEntry
import net.minecraft.world.biome.Biome
import net.minecraft.world.biome.source.MultiNoiseBiomeSourceParameterList
import net.minecraft.world.biome.source.util.MultiNoiseUtil

@CompileStatic
@View(targetClasses = MultiNoiseBiomeSourceParameterList)
interface ViewMultiNoiseBiomeSourceParameterList {
    void setEntries(MultiNoiseUtil.Entries<RegistryEntry<Biome>> entries)
}