package io.tswf.minecraft.blockventure.core.transmutation.view

import io.tswf.transmutations.common.annotation.MethodDescription
import io.tswf.transmutations.view.annotation.MethodInvoke
import io.tswf.transmutations.view.annotation.View
import net.minecraft.network.PacketByteBuf
import net.minecraft.network.packet.Packet

import java.util.function.Function

@View(targetInternalNames = 'net/minecraft/network/NetworkState$PacketHandler')
interface ViewNetworkStatePacketHandler {

    @MethodInvoke(@MethodDescription(name = "register", descriptor = '(Ljava/lang/Class;Ljava/util/function/Function;)Lnet/minecraft/network/NetworkState$PacketHandler;'))
    Object callRegister(Class<Packet> type, Function<PacketByteBuf, Packet> packetFactory)
}