package io.tswf.minecraft.blockventure.core.transmutation.view


import io.tswf.transmutations.view.annotation.View
import net.minecraft.recipe.Recipe
import net.minecraft.recipe.RecipeManager
import net.minecraft.recipe.RecipeType
import net.minecraft.util.Identifier

@View(targetClasses = RecipeManager)
interface ViewRecipeManager {

    Map<RecipeType<?>, Map<Identifier, Recipe<?>>> getRecipes()
    Map<Identifier, Recipe<?>> getRecipesById()

    void setRecipes(Map<RecipeType<?>, Map<Identifier, Recipe<?>>> recipes)
    void setRecipesById(Map<Identifier, Recipe<?>> recipesById)
}