package io.tswf.minecraft.blockventure.core.api.nbt

import net.minecraft.nbt.NbtElement

import java.lang.reflect.Type

interface INBTObjectMappingProvider {
    NbtElement mapObjectToNBT(Object obj, Type objectType)
    Object mapNBTToObject(NbtElement nbtElement, Type objectType, Object initialInstance)
    boolean canAcceptObjectType(Type objectType)
    boolean canAcceptNbtType(Class nbtType)

    default int getPriority() { 0 }
}