package io.tswf.minecraft.blockventure.core.api.registry

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.transforms.nullsafe.NullSafe
import io.tswf.minecraft.blockventure.core.api.network.packet.IPlayNetworkPacket

@CompileStatic
class PacketRegistry {

    static Map<String, Class> registeredPacketTypes = new HashMap<>()

    static void registerPlayPacketType(@NullSafe Class<IPlayNetworkPacket> packetTypeClass, @NullSafe String id) {
        registeredPacketTypes[id] = packetTypeClass
    }
}
