package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic

@CompileStatic
class InvalidPlayPacketClassException extends RuntimeException {
    Class packetClass

    InvalidPlayPacketClassException(String message, Class packetClass) {
        super("The play packet class '${packetClass}' is invalid: ${message}!")
        this.packetClass = packetClass
    }
}
