package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic

@CompileStatic
class NetworkPlayPacketCreationException extends RuntimeException {
    String id

    NetworkPlayPacketCreationException(Throwable cause, String id) {
        super("Exception occurred while trying to create play packet with id '${id}'", cause)
        this.id = id
    }
}
