package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.network.packet.IPlayNetworkPacket

@CompileStatic
class NetworkPlayPacketSerializationException extends RuntimeException {
    IPlayNetworkPacket packetObject

    NetworkPlayPacketSerializationException(Throwable cause, IPlayNetworkPacket packetObject) {
        super("Exception occurred while trying to de/serialize packet ${packetObject} with type ${packetObject.class.name}", cause)
        this.packetObject = packetObject
    }
}
