package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic

@CompileStatic
class UnknownPacketTypeIdException extends RuntimeException {
    String packetTypeId

    UnknownPacketTypeIdException(String packetTypeId) {
        super("The packet id '${packetTypeId}' is unknown!")
        this.packetTypeId = packetTypeId
    }
}
