package io.tswf.minecraft.blockventure.core.nbt.mapper

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.nbt.INBTObjectMappingProvider

@AutoService(INBTObjectMappingProvider)
@CompileStatic
class NBTCollectionMappingProvider extends AbstractNBTCollectionMappingProvider<Collection> {

    @Override
    void initialize() {
        supportColletion Collection
        createCollectionBy { new ArrayList<>() }
    }
}
