package io.tswf.minecraft.blockventure.core.nbt.mapper

import groovy.transform.CompileStatic
import net.minecraft.nbt.NbtCompound

@CompileStatic
class NBTHelper {

    static NbtCompound getOrCreateCompound(NbtCompound compound, String key) {
        if (compound.contains(key, 10 /* nbt compound type*/)) {
            return compound.getCompound(key)
        } else {
            def newCompound = new NbtCompound()
            compound.put(key, newCompound)
            return newCompound
        }
    }
}
