package io.tswf.minecraft.blockventure.core.recipe.parser

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.recipe.IRecipeIngredientObjectParseProvider
import net.minecraft.item.Item
import net.minecraft.recipe.Ingredient

@AutoService(IRecipeIngredientObjectParseProvider)
@CompileStatic
class ItemIngredientObjectParseProvider implements IRecipeIngredientObjectParseProvider{

    @Override
    Ingredient parseIngredientObject(Object ingredientObject) {
        if (ingredientObject instanceof Item) {
            return Ingredient.ofItems(ingredientObject)
        }

        return null
    }
}
