package io.tswf.minecraft.blockventure.core.transmutation.staticview

import io.tswf.transmutations.common.annotation.ClassReference
import io.tswf.transmutations.staticview.annotation.StaticView
import net.minecraft.registry.entry.RegistryEntry
import net.minecraft.sound.BiomeAdditionsSound
import net.minecraft.sound.BiomeMoodSound
import net.minecraft.sound.MusicSound
import net.minecraft.sound.SoundEvent
import net.minecraft.world.biome.BiomeEffects
import net.minecraft.world.biome.BiomeParticleConfig

@StaticView(targetClass = @ClassReference(BiomeEffects))
class BiomeEffectsStaticView {

    static BiomeEffects newInstance(int fogColor, int waterColor, int waterFogColor, int skyColor, Optional<Integer> foliageColor, Optional<Integer> grassColor, BiomeEffects.GrassColorModifier grassColorModifier, Optional<BiomeParticleConfig> particleConfig, Optional<RegistryEntry<SoundEvent>> loopSound, Optional<BiomeMoodSound> moodSound, Optional<BiomeAdditionsSound> additionsSound, Optional<MusicSound> music) { null }

}
