package io.tswf.minecraft.blockventure.core.transmutation.view


import io.tswf.transmutations.common.annotation.OnConflict
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.view.annotation.View
import net.minecraft.block.entity.BlockEntity
import net.minecraft.block.entity.BlockEntityType
import net.minecraft.nbt.NbtCompound

@View(targetClasses = BlockEntity)
interface ViewBlockEntity {
    void setType(BlockEntityType type)

    @OnConflict(ConflictingMethodResolveStrategy.SKIP)
    BlockEntityType getType()

    void callWriteNbt(NbtCompound nbt)
}