package io.tswf.minecraft.blockventure.core.transmutation.view

import io.tswf.transmutations.common.annotation.OnConflict
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.view.annotation.View
import net.minecraft.registry.DynamicRegistryManager
import net.minecraft.registry.Registry
import net.minecraft.registry.RegistryKey

@View(targetClasses = DynamicRegistryManager.ImmutableImpl)
interface ViewDynamicRegistryManagerImmutable {

    @OnConflict(ConflictingMethodResolveStrategy.SKIP)
    Map<RegistryKey, Registry> getRegistries();

    @OnConflict(ConflictingMethodResolveStrategy.SKIP)
    void setRegistries(Map<RegistryKey, Registry> registries);
}