package io.tswf.minecraft.blockventure.core.transmutation.view

import io.tswf.transmutations.common.annotation.OnConflict
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.view.annotation.View
import net.minecraft.network.NetworkSide
import net.minecraft.network.NetworkState

@View(targetClasses = NetworkState)
interface ViewNetworkState {

    @OnConflict(ConflictingMethodResolveStrategy.WARN)
    Map<NetworkSide, Object> getPacketHandlers()
}