package io.tswf.minecraft.blockventure.core.transmutation.view


import io.tswf.transmutations.common.annotation.OnConflict
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.view.annotation.View
import net.minecraft.network.NetworkSide

@View(targetInternalNames = 'net/minecraft/network/NetworkState$PacketHandlerInitializer')
interface ViewNetworkStatePacketHandlerInitializer {

    @OnConflict(ConflictingMethodResolveStrategy.WARN)
    Map<NetworkSide, Object> getPacketHandlers()
}