package io.tswf.minecraft.blockventure.core.transmutation.view

import groovy.transform.CompileStatic
import io.tswf.transmutations.view.annotation.View
import net.minecraft.entity.SpawnGroup
import net.minecraft.util.collection.Pool
import net.minecraft.world.biome.SpawnSettings

@CompileStatic
@View(targetClasses = SpawnSettings)
interface ViewSpawnSettings {
    void setSpawners(Map<SpawnGroup, Pool<SpawnSettings.SpawnEntry>> value)
    void setCreatureSpawnProbability(float creatureSpawnProbability)
}